namespace Netina.Domain.Extensions;

public static class ProductCategoryExtension
{
    public static string GetWebSiteUrl(this ProductCategory product)
        => $"/categories/{product.Id}/{product.Slug}";

    public static string GetWebSiteUrl(this ProductCategorySDto product)
        => $"/categories/{product.Id}/{product.Slug}";

    public static string GetWebSiteUrl(this ProductCategoryLDto product)
        => $"/categories/{product.Id}/{product.Slug}";
}